v1.0.0
OpenAPI 3.1.0

Create a folder

US region

Client Libraries

Create a folder

Create a new folder at the root level or under a parent folder. To create a child folder, you need the UUID of the parent folder, which you can retrieve with List folders.

Body
required
application/json
  • name
    Type: string
    min length:  
    1
    max length:  
    170
    required

    The name of the folder. Cannot contain these characters: < > : " / \ | ? * .

  • parent_folder_id
    Type: string | nullFormat: uuid

    UUID of the parent folder. Omit or pass null to create at root.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/design_studio/folders
curl https://api.customer.io/v1/design_studio/folders \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Product Announcements",
  "parent_folder_id": null
}'
{
  "folder": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Product Announcements",
    "parent_folder_id": null,
    "created": 1714732800,
    "updated": 1714732800
  }
}